# Class: Backend::Api::Build::Project

Inherits:
  Object
  - Object
  - Backend::Api::Build::Project
  show all

Extended by:
  ConnectionHelper

Defined in:
  api/build/project.rb

## Overview

Class that connect to endpoints related to projects

## Class Method Summary collapse

- .resume_scheduler(project_name) ⇒ Object
- .suspend_scheduler(project_name) ⇒ Object

  lock the project for the scheduler for atomic change when using multiple operations.

- .wipe_binaries(project_name) ⇒ Object

## Class Method Details

### .resume_scheduler(project_name) ⇒ `Object`

    13
    14
    15
    # File 'api/build/project.rb', line 13

    def self.resume_scheduler(project_name)
      http_post(['/build/:project', project_name], params: { cmd: :resumeproject })
    end

### .suspend_scheduler(project_name) ⇒ `Object`

lock the project for the scheduler for atomic change when using multiple operations

    9
    10
    11
    # File 'api/build/project.rb', line 9

    def self.suspend_scheduler(project_name)
      http_post(['/build/:project', project_name], params: { cmd: :suspendproject })
    end

### .wipe_binaries(project_name) ⇒ `Object`

    17
    18
    19
    # File 'api/build/project.rb', line 17

    def self.wipe_binaries(project_name)
      http_post(['/build/:project', project_name], params: { cmd: :wipe })
    end